%define name pronto
%define version 2.4.0
%define release 3mdk

Name:		%{name}
Summary:	Highly modularized GTK Mail Client
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://muhri.net/pronto/
Source:		%{name}-%{version}.tar.bz2
Patch:		pronto-makefile.patch.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
Requires:	perl-MIME-Base64 perl-MailTools perl-MIME-tools perl-IO-stringy
Requires:	perl-MIME-Types perl-URI perl-Lingua-Ispell perl-HTML-Parser
Requires:	perl-DateManip perl-DBD-CSV perl-DBI perl-SQL-Statement
Requires:	perl-Text-CSV_XS perl

%description
Pronto! is a highly modularized GTK Mail Client written
in Perl. Pronto! is Free Software released under the GPL License. 

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup

%patch -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/pronto"\
title="Pronto"\
longtitle="GTK Mail Client"\
needs="x11"\
icon="mail_section.png"\
section="Networking/Mail"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README   
%{_bindir}/*
%{_libdir}/%{name}/
%{_menudir}/*


%changelog
* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.0-3mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.0-2mdk
- rebuild

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.6-2mdk
- icon

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.6-1mdk
- 2.2.6

* Wed Aug  1 2001 Daouda LO <daouda@mandrakesoft.com> 2.2.5-1mdk
- release 2.2.5

* Thu Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- updated to 2.2.3

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- updated to 2.2.2

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- updated to 2.2.1

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- new in contribs
- add requires :)))
- add menu

